function Out = NeweyWestHAC(U,K,flag)
% estimate the Newey-West heteroskedasticity-autocorrelation consistent
% estimator
% U is matrix of size M*T, where T is time periods and M<T is dimension
% flag is 0 (don't center U, default) or 1 (center U)

if nargin<3
    flag=0;
end

if size(U,1)>size(U,2)
    U=U'; % column vector must be u_1, u_2,...
end
T=size(U,2);
if flag==0
    V=U;
elseif flag==1
    V=U-mean(U,2)*ones(1,T); % center U
else error('flag must be 0 or 1')
end
S=1/T*V*(V');
if K==0
else
for k=1:K
    Omega=1/T*(V(:,k+1:T)*(V(:,1:T-k))');
    S=S+(1-k/(K+1))*(Omega+Omega');
end
end
Out=S;
end