function Out = NLrnd(param,size)
% PDF of the normal-Laplace distribution defined by
% Laplace distribution with shape parameters alpha, beta and
% N(mu,sigma), where param=[mu,sigma,alpha,beta]
mu=param(1);
sigma=param(2);
alpha=param(3);
if length(param)==3
    beta=alpha;
else beta=param(4);
end

if (sigma<0)||(alpha<=0)||(beta<=0);
    NaN*ones(size);
elseif sigma==0
    theta=param;
    theta(2)=[];
    Out=ALrnd(theta,size);
else Out=normrnd(mu,sigma,size)+ALrnd([0,alpha,beta],size);
end
end

