% get VAR of log consumption/dividend growth using Shiller data for
% 1889-2009

M = csvread('data.csv');
C = M(:,1); % real per capita consumption
D = M(:,2); % real dividend on S&P 500
P = M(:,3); % real S&P 500 index
Rf = M(:,4); % gross real risk-free rate
Rs = 1+M(:,5); % gross real return on S&P 500

cgrowth = log(C(2:end))-log(C(1:end-1));
dgrowth = log(D(2:end))-log(D(1:end-1));
Rs_data = Rs;
Rf_data = Rf;
PD_data = P./D;

% run OLS
y1 = cgrowth(2:end);
y2 = dgrowth(2:end);
N=length(y1); % number of years
X = [ones(N,1) cgrowth(1:end-1) dgrowth(1:end-1)];
b1 = (X'*X)\(X'*y1);
b2 = (X'*X)\(X'*y2);

a = [b1(1);b2(1)];
A = [b1(2:end) b2(2:end)]';
g = (eye(2)-A)\a;
B = [b1 b2]';
y = [y1 y2];
res = y-X*B';
Psi = res'*res/N;

